/*******************************************************************************
* FILE NAME: Ultrasonic_sensor.h
*
* DESCRIPTION:
*  Handles the Ultrasonic rangefinder processing
*
*   The Sonic pulse input line (trigger pulse) should be connected to rc_dig_out05
*   It's output line (echo pulse) should be connected to rc_dig_int1
*
*******************************************************************************/

#define DISTANCE_TOLERANCE 3

#ifdef DECLARE_VARIABLES
 unsigned char fltHiResCounter; /* Filtered data from Sonic Device */
 unsigned char fltLowResCounter;
 unsigned char SonicDataValid;   /* Data, from the Sonic, is ready for processing */
 unsigned char Delta;       /* Sonic data difference from last data read */
 unsigned char HiResCounter;
 unsigned char LowResCounter;
 unsigned char fltCounter;
#else
 extern unsigned char fltHiResCounter; /* Filtered data from Sonic Device */
 extern unsigned char fltLowResCounter;
 extern unsigned char SonicDataValid;   /* Data, from the Sonic, is ready for processing */
 extern unsigned char Delta;       /* Sonic data difference from last data read */
 extern unsigned char HiResCounter;
 extern unsigned char LowResCounter;
 extern unsigned char fltCounter;
#endif //DECLARE_VARIABLES

void Ultra_Sensor(void);
void Ultrasonic_Initialization(void);
void Handle_SonicEchoPulse(void);
void Filter_Rangefinder(void);
